Package tigase.util.cache

## Class SizedCache<K,​V>

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<K,​V>
    - - java.util.LinkedHashMap<K,​V>
      - - tigase.util.cache.SizedCache<K,​V>

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `java.util.Map<K,​V>`

      public class SizedCache<K,​V>
      extends java.util.LinkedHashMap<K,​V>

  Describe class SizedCache here.
  Created: Mon Mar 3 15:16:52 2008
  Version:
    $Rev$
  Author:
    Artur Hefczyc
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K extends java.lang.Object,​V extends java.lang.Object>, java.util.AbstractMap.SimpleImmutableEntry<K extends java.lang.Object,​V extends java.lang.Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SizedCache​(int maxSize)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `removeEldestEntry​(java.util.Map.Entry<K,​V> eldest)` |

    - ### Methods inherited from class java.util.LinkedHashMap

      `clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, replaceAll, values`

    - ### Methods inherited from class java.util.HashMap

      `clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

- - ### Constructor Detail

    - #### SizedCache

          public SizedCache​(int maxSize)

  - ### Method Detail

    - #### removeEldestEntry

          protected boolean removeEldestEntry​(java.util.Map.Entry<K,​V> eldest)

      Overrides:
        `removeEldestEntry` in class `java.util.LinkedHashMap<K,​V>`